RuntimeConstants (Velocity 1.4 API)
Keywords: org.apache.velocity.runtime.RuntimeConstants interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.runtime
Interface RuntimeConstants

All Known Implementing Classes:
  Runtime, RuntimeInstance, RuntimeSingleton, Velocity, VelocityEngine

public interface RuntimeConstants

This class defines the keys that are used in the velocity.properties file so that they can be referenced as a constant within Java code.

Version:
  $Id: RuntimeConstants.java,v 1.33.4.1 2004/03/03 23:22:55 geirm Exp $
Author:
  Jon S. Stevens, Geir Magnusson Jr., Jason van Zyl

Field Summary
`static java.lang.String` | `COUNTER_INITIAL_VALUE` Initial counter value in #foreach directives.
`static java.lang.String` | `COUNTER_NAME` Initial counter value in #foreach directives.
`static java.lang.String` | `DEBUG_PREFIX` Log message prefixes
`static java.lang.String` | `DEFAULT_RUNTIME_DIRECTIVES` Default Runtime properties
`static java.lang.String` | `DEFAULT_RUNTIME_PROPERTIES` Default Runtime properties.
`static java.lang.String` | `ENCODING_DEFAULT`
`static java.lang.String` | `ERROR_PREFIX`
`static java.lang.String` | `ERRORMSG_END` Ending tag for error messages triggered by passing a parameter not allowed in the #include directive.
`static java.lang.String` | `ERRORMSG_START` Starting tag for error messages triggered by passing a parameter not allowed in the #include directive.
`static java.lang.String` | `FILE_RESOURCE_LOADER_CACHE` The public handle for turning the caching on in the FileResourceLoader.
`static java.lang.String` | `FILE_RESOURCE_LOADER_PATH` The public handle for setting a path in the FileResourceLoader.
`static java.lang.String` | `INFO_PREFIX`
`static java.lang.String` | `INPUT_ENCODING` The character encoding for the templates.
`static java.lang.String` | `INTERPOLATE_STRINGLITERALS` Switch for the interpolation facility for string literals
`static java.lang.String` | `LOGSYSTEM_LOG4J_EMAIL_BUFFER_SIZE` Log4J configuration
`static java.lang.String` | `LOGSYSTEM_LOG4J_EMAIL_FROM` Log4J configuration
`static java.lang.String` | `LOGSYSTEM_LOG4J_EMAIL_SERVER` Log4J configuration
`static java.lang.String` | `LOGSYSTEM_LOG4J_EMAIL_SUBJECT` Log4J configuration
`static java.lang.String` | `LOGSYSTEM_LOG4J_EMAIL_TO` Log4J configuration
`static java.lang.String` | `LOGSYSTEM_LOG4J_FILE_BACKUPS` Log4J configuration
`static java.lang.String` | `LOGSYSTEM_LOG4J_FILE_SIZE` Log4J configuration
`static java.lang.String` | `LOGSYSTEM_LOG4J_PATTERN` Log4J configuration
`static java.lang.String` | `LOGSYSTEM_LOG4J_REMOTE_HOST` Log4J configuration
`static java.lang.String` | `LOGSYSTEM_LOG4J_REMOTE_PORT` Log4J configuration
`static java.lang.String` | `LOGSYSTEM_LOG4J_SYSLOGD_FACILITY` Log4J configuration
`static java.lang.String` | `LOGSYSTEM_LOG4J_SYSLOGD_HOST` Log4J configuration
`static int` | `NUMBER_OF_PARSERS` The default number of parser instances to create.
`static java.lang.String` | `OUTPUT_ENCODING` Encoding for the output stream.
`static java.lang.String` | `PARSE_DIRECTIVE_MAXDEPTH` Maximum recursion depth allowed for the #parse directive.
`static java.lang.String` | `PARSER_POOL_SIZE`
`static java.lang.String` | `RESOURCE_LOADER` Key used to retrieve the names of the resource loaders to be used.
`static java.lang.String` | `RESOURCE_MANAGER_CACHE_CLASS`
`static java.lang.String` | `RESOURCE_MANAGER_CLASS`
`static java.lang.String` | `RESOURCE_MANAGER_LOGWHENFOUND` controls if the finding of a resource is logged
`static java.lang.String` | `RUNTIME_LOG` Location of the velocity log file.
`static java.lang.String` | `RUNTIME_LOG_ERROR_STACKTRACE` Stack trace output for error messages.
`static java.lang.String` | `RUNTIME_LOG_INFO_STACKTRACE` Stack trace output for info messages.
`static java.lang.String` | `RUNTIME_LOG_LOGSYSTEM` externally provided logger
`static java.lang.String` | `RUNTIME_LOG_LOGSYSTEM_CLASS` class of log system to use
`static java.lang.String` | `RUNTIME_LOG_REFERENCE_LOG_INVALID` Logging of invalid references.
`static java.lang.String` | `RUNTIME_LOG_WARN_STACKTRACE` Stack trace output for warning messages.
`static java.lang.String` | `UBERSPECT_CLASSNAME` key name for uberspector
`static java.lang.String` | `UNKNOWN_PREFIX`
`static java.lang.String` | `VM_CONTEXT_LOCALSCOPE` switch for local context in VM : default false
`static java.lang.String` | `VM_LIBRARY` Name of local Velocimacro library template.
`static java.lang.String` | `VM_LIBRARY_AUTORELOAD` switch for autoloading library-sourced VMs (for development)
`static java.lang.String` | `VM_MESSAGES_ON` Switch for VM blather : default true.
`static java.lang.String` | `VM_PERM_ALLOW_INLINE` boolean (true/false) default true : allow inline (in-template) macro definitions
`static java.lang.String` | `VM_PERM_ALLOW_INLINE_REPLACE_GLOBAL` boolean (true/false) default false : allow inline (in-template) macro definitions to replace existing
`static java.lang.String` | `VM_PERM_INLINE_LOCAL` Switch for forcing inline macros to be local : default false.
`static java.lang.String` | `WARN_PREFIX`

Field Detail

### RUNTIME_LOG

    public static final java.lang.String RUNTIME_LOG

  Location of the velocity log file.

  See Also:
    Constant Field Values

### RUNTIME_LOG_LOGSYSTEM

    public static final java.lang.String RUNTIME_LOG_LOGSYSTEM

  externally provided logger

  See Also:
    Constant Field Values

### RUNTIME_LOG_LOGSYSTEM_CLASS

    public static final java.lang.String RUNTIME_LOG_LOGSYSTEM_CLASS

  class of log system to use

  See Also:
    Constant Field Values

### RUNTIME_LOG_ERROR_STACKTRACE

    public static final java.lang.String RUNTIME_LOG_ERROR_STACKTRACE

  Stack trace output for error messages.

  See Also:
    Constant Field Values

### RUNTIME_LOG_WARN_STACKTRACE

    public static final java.lang.String RUNTIME_LOG_WARN_STACKTRACE

  Stack trace output for warning messages.

  See Also:
    Constant Field Values

### RUNTIME_LOG_INFO_STACKTRACE

    public static final java.lang.String RUNTIME_LOG_INFO_STACKTRACE

  Stack trace output for info messages.

  See Also:
    Constant Field Values

### RUNTIME_LOG_REFERENCE_LOG_INVALID

    public static final java.lang.String RUNTIME_LOG_REFERENCE_LOG_INVALID

  Logging of invalid references.

  See Also:
    Constant Field Values

### DEBUG_PREFIX

    public static final java.lang.String DEBUG_PREFIX

  Log message prefixes

  See Also:
    Constant Field Values

### INFO_PREFIX

    public static final java.lang.String INFO_PREFIX

See Also:
  Constant Field Values

### WARN_PREFIX

    public static final java.lang.String WARN_PREFIX

See Also:
  Constant Field Values

### ERROR_PREFIX

    public static final java.lang.String ERROR_PREFIX

See Also:
  Constant Field Values

### UNKNOWN_PREFIX

    public static final java.lang.String UNKNOWN_PREFIX

See Also:
  Constant Field Values

### LOGSYSTEM_LOG4J_PATTERN

    public static final java.lang.String LOGSYSTEM_LOG4J_PATTERN

  Log4J configuration

  See Also:
    Constant Field Values

### LOGSYSTEM_LOG4J_FILE_SIZE

    public static final java.lang.String LOGSYSTEM_LOG4J_FILE_SIZE

  Log4J configuration

  See Also:
    Constant Field Values

### LOGSYSTEM_LOG4J_FILE_BACKUPS

    public static final java.lang.String LOGSYSTEM_LOG4J_FILE_BACKUPS

  Log4J configuration

  See Also:
    Constant Field Values

### LOGSYSTEM_LOG4J_SYSLOGD_HOST

    public static final java.lang.String LOGSYSTEM_LOG4J_SYSLOGD_HOST

  Log4J configuration

  See Also:
    Constant Field Values

### LOGSYSTEM_LOG4J_SYSLOGD_FACILITY

    public static final java.lang.String LOGSYSTEM_LOG4J_SYSLOGD_FACILITY

  Log4J configuration

  See Also:
    Constant Field Values

### LOGSYSTEM_LOG4J_REMOTE_HOST

    public static final java.lang.String LOGSYSTEM_LOG4J_REMOTE_HOST

  Log4J configuration

  See Also:
    Constant Field Values

### LOGSYSTEM_LOG4J_REMOTE_PORT

    public static final java.lang.String LOGSYSTEM_LOG4J_REMOTE_PORT

  Log4J configuration

  See Also:
    Constant Field Values

### LOGSYSTEM_LOG4J_EMAIL_SERVER

    public static final java.lang.String LOGSYSTEM_LOG4J_EMAIL_SERVER

  Log4J configuration

  See Also:
    Constant Field Values

### LOGSYSTEM_LOG4J_EMAIL_FROM

    public static final java.lang.String LOGSYSTEM_LOG4J_EMAIL_FROM

  Log4J configuration

  See Also:
    Constant Field Values

### LOGSYSTEM_LOG4J_EMAIL_TO

    public static final java.lang.String LOGSYSTEM_LOG4J_EMAIL_TO

  Log4J configuration

  See Also:
    Constant Field Values

### LOGSYSTEM_LOG4J_EMAIL_SUBJECT

    public static final java.lang.String LOGSYSTEM_LOG4J_EMAIL_SUBJECT

  Log4J configuration

  See Also:
    Constant Field Values

### LOGSYSTEM_LOG4J_EMAIL_BUFFER_SIZE

    public static final java.lang.String LOGSYSTEM_LOG4J_EMAIL_BUFFER_SIZE

  Log4J configuration

  See Also:
    Constant Field Values

### COUNTER_NAME

    public static final java.lang.String COUNTER_NAME

  Initial counter value in #foreach directives.

  See Also:
    Constant Field Values

### COUNTER_INITIAL_VALUE

    public static final java.lang.String COUNTER_INITIAL_VALUE

  Initial counter value in #foreach directives.

  See Also:
    Constant Field Values

### ERRORMSG_START

    public static final java.lang.String ERRORMSG_START

  Starting tag for error messages triggered by passing a parameter not allowed in the #include directive. Only string literals, and references are allowed.

  See Also:
    Constant Field Values

### ERRORMSG_END

    public static final java.lang.String ERRORMSG_END

  Ending tag for error messages triggered by passing a parameter not allowed in the #include directive. Only string literals, and references are allowed.

  See Also:
    Constant Field Values

### PARSE_DIRECTIVE_MAXDEPTH

    public static final java.lang.String PARSE_DIRECTIVE_MAXDEPTH

  Maximum recursion depth allowed for the #parse directive.

  See Also:
    Constant Field Values

### RESOURCE_MANAGER_CLASS

    public static final java.lang.String RESOURCE_MANAGER_CLASS

See Also:
  Constant Field Values

### RESOURCE_MANAGER_CACHE_CLASS

    public static final java.lang.String RESOURCE_MANAGER_CACHE_CLASS

See Also:
  Constant Field Values

### RESOURCE_MANAGER_LOGWHENFOUND

    public static final java.lang.String RESOURCE_MANAGER_LOGWHENFOUND

  controls if the finding of a resource is logged

  See Also:
    Constant Field Values

### RESOURCE_LOADER

    public static final java.lang.String RESOURCE_LOADER

  Key used to retrieve the names of the resource loaders to be used. In a properties file they may appear as the following: resource.loader = file,classpath

  See Also:
    Constant Field Values

### FILE_RESOURCE_LOADER_PATH

    public static final java.lang.String FILE_RESOURCE_LOADER_PATH

  The public handle for setting a path in the FileResourceLoader.

  See Also:
    Constant Field Values

### FILE_RESOURCE_LOADER_CACHE

    public static final java.lang.String FILE_RESOURCE_LOADER_CACHE

  The public handle for turning the caching on in the FileResourceLoader.

  See Also:
    Constant Field Values

### VM_LIBRARY

    public static final java.lang.String VM_LIBRARY

  Name of local Velocimacro library template.

  See Also:
    Constant Field Values

### VM_LIBRARY_AUTORELOAD

    public static final java.lang.String VM_LIBRARY_AUTORELOAD

  switch for autoloading library-sourced VMs (for development)

  See Also:
    Constant Field Values

### VM_PERM_ALLOW_INLINE

    public static final java.lang.String VM_PERM_ALLOW_INLINE

  boolean (true/false) default true : allow inline (in-template) macro definitions

  See Also:
    Constant Field Values

### VM_PERM_ALLOW_INLINE_REPLACE_GLOBAL

    public static final java.lang.String VM_PERM_ALLOW_INLINE_REPLACE_GLOBAL

  boolean (true/false) default false : allow inline (in-template) macro definitions to replace existing

  See Also:
    Constant Field Values

### VM_PERM_INLINE_LOCAL

    public static final java.lang.String VM_PERM_INLINE_LOCAL

  Switch for forcing inline macros to be local : default false.

  See Also:
    Constant Field Values

### VM_MESSAGES_ON

    public static final java.lang.String VM_MESSAGES_ON

  Switch for VM blather : default true.

  See Also:
    Constant Field Values

### VM_CONTEXT_LOCALSCOPE

    public static final java.lang.String VM_CONTEXT_LOCALSCOPE

  switch for local context in VM : default false

  See Also:
    Constant Field Values

### INTERPOLATE_STRINGLITERALS

    public static final java.lang.String INTERPOLATE_STRINGLITERALS

  Switch for the interpolation facility for string literals

  See Also:
    Constant Field Values

### INPUT_ENCODING

    public static final java.lang.String INPUT_ENCODING

  The character encoding for the templates. Used by the parser in processing the input streams.

  See Also:
    Constant Field Values

### OUTPUT_ENCODING

    public static final java.lang.String OUTPUT_ENCODING

  Encoding for the output stream. Currently used by Anakia and VelocityServlet

  See Also:
    Constant Field Values

### ENCODING_DEFAULT

    public static final java.lang.String ENCODING_DEFAULT

See Also:
  Constant Field Values

### DEFAULT_RUNTIME_PROPERTIES

    public static final java.lang.String DEFAULT_RUNTIME_PROPERTIES

  Default Runtime properties.

  See Also:
    Constant Field Values

### DEFAULT_RUNTIME_DIRECTIVES

    public static final java.lang.String DEFAULT_RUNTIME_DIRECTIVES

  Default Runtime properties

  See Also:
    Constant Field Values

### NUMBER_OF_PARSERS

    public static final int NUMBER_OF_PARSERS

  The default number of parser instances to create. Configurable via the parameter named by the `PARSER_POOL_SIZE` constant.

  See Also:
    Constant Field Values

### PARSER_POOL_SIZE

    public static final java.lang.String PARSER_POOL_SIZE

See Also:
  `NUMBER_OF_PARSERS`, Constant Field Values

### UBERSPECT_CLASSNAME

    public static final java.lang.String UBERSPECT_CLASSNAME

  key name for uberspector

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache Software Foundation. All Rights Reserved.